image: node:10.15.3

pages:
  stage: deploy
  script:
    - npm install reveal-md@^5.3.2
    - ./run.sh
  artifacts:
    paths:
      - public
  cache:
    paths:
      - node_modules
    key: project
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
  environment:
    name: production
